#!/usr/bin/bash
# Copyright (C) 2008 - 2017 Small Green Computer, LLC
#

sleep 2

if [ -f /var/www/html/config/ifcfg-eth0.new ] ; then
	mv /var/www/html/config/ifcfg-eth0.new /etc/sysconfig/network-scripts/ifcfg-eth0
fi

# homename workgroup
HOSTNAME=$1
HOSTUPPER=`echo $1 | tr "[:lower:]" "[:upper:]"`
WORKGROUP=$2

/bin/hostnamectl set-hostname $HOSTNAME

echo "# Do not remove the following line, or various programs" > /etc/hosts
echo "# that require network functionality will fail." >> /etc/hosts
echo "127.0.0.1		localhost	localhost.localdomain	$HOSTNAME	$HOSTNAME.localdomain" >> /etc/hosts


cat > /etc/samba/smb.conf <<EOF
[global]
workgroup = $WORKGROUP
server string = VortexBox Media Server
[global]
security = user
map to guest = Bad User
public = yes
obey pam restrictions = Yes
pam password change = Yes
dns proxy = No
usershare allow guests = Yes
log level = 3
log file = /var/log/samba/samba.log
unix extensions = no
wide links = yes
printcap name = /etc/printcap
load printers = no
socket options = TCP_NODELAY SO_RCVBUF=524288 SO_SNDBUF=524288 IPTOS_LOWDELAY
write cache size = 2097152
use sendfile = true
getwd cache = yes
oplocks = no
domain master = no
local master = no
preferred master = no
os level = 0
netbios name = $HOSTUPPER

[storage]
comment = Read/Write file share
path = /storage
browsable = Yes
guest ok = Yes
read only = No
create mask = 0755
directory mask = 0755
force user = root
force group = root

EOF

if [ -f /etc/vortexbox/keepout.smb ]
then
cat >> /etc/samba/smb.conf <<EOF
[keepout]
path = /
browsable = Yes
guest ok = Yes
read only = No
create mask = 0755
directory mask = 0755
force user = root
force group = root

EOF

else
cat >> /etc/samba/smb.conf <<EOF
#[keepout]
#path = /
#browsable = Yes
#guest ok = Yes
#read only = No
#create mask = 0755
#directory mask = 0755
#force user = root
#force group = root

EOF

fi

sleep 2