#!/usr/bin/bash
# Copyright (C) 2008 - 2018 Small Green Computer, LLC
#

drive=/dev/sda
drivePart=4

echo ""
echo "------------------------------------------------------"
echo "*** Fixing errors and cleaning up $drive"
echo "------------------------------------------------------"
sgdisk -g -G -e $drive
partprobe
sync
sgdisk -p $drive

echo ""
echo "------------------------------------------------------"
echo "*** Delete / partition"
echo "------------------------------------------------------"
sgdisk -d $drivePart $drive
partprobe
sleep 2
sgdisk -p $drive

echo ""
echo "------------------------------------------------------"
echo "*** Resize partition"
echo "------------------------------------------------------"

FIRSTSECTOR=`sgdisk -f $drive`
sgdisk -n $drivePart:$FIRSTSECTOR:+30G -t $drivePart:8300 $drive
partprobe
sync
sgdisk -p $drive
resize2fs $drive$drivePart
touch /forcefsck